(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else if(typeof exports === 'object')
		exports["fetch-rest-oauth"] = factory();
	else
		root["fetch-rest-oauth"] = factory();
})(this, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	var _compute = __webpack_require__(1);

	// Export using middleware direct notation.
	module.exports = function (config) {
		return function (request) {
			config = (0, _compute.computeObject)(config);

			request.options.headers["Authorization"] = "Bearer " + config.accessToken;

			return {
				error: function error(_error) {
					if (_error.status === 403 && config.refreshToken) {
						return config.refresh();
					}

					throw _error;
				}
			};
		};
	}; /**
	    * @copyright © 2015, Rick Wong. All rights reserved.
	    */

/***/ },
/* 1 */
/***/ function(module, exports) {

	"use strict";

	function _typeof(obj) { return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj; }

	/**
	 * @copyright © 2015, Rick Wong. All rights reserved.
	 */

	function compute(value) {
		return typeof value === "function" ? value() : value;
	}

	function computeObject(object) {
		var mapped = {};
		object = compute(object);

		Object.keys(object).forEach(function (key) {
			var value = object[key];

			mapped[key] = (typeof value === "undefined" ? "undefined" : _typeof(value)) === "object" ? computeObject(value) : compute(value);
		});

		return mapped;
	}

	module.exports = {
		compute: compute,
		computeObject: computeObject
	};

/***/ }
/******/ ])
});
;